package org.dromara.system.service;

import org.dromara.system.domain.OrientationInfo;
import org.dromara.system.domain.vo.OrientationInfoVo;
import org.dromara.system.domain.bo.OrientationInfoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定位信息Service接口
 *
 * @author boman
 * @date 2023-08-30
 */
public interface IOrientationInfoService {

    /**
     * 查询定位信息
     */
    OrientationInfoVo queryById(Long id);

    /**
     * 查询定位信息列表
     */
    TableDataInfo<OrientationInfoVo> queryPageList(OrientationInfoBo bo, PageQuery pageQuery);

    /**
     * 查询定位信息列表
     */
    List<OrientationInfoVo> queryList(OrientationInfoBo bo);

    /**
     * 新增定位信息
     */
    Boolean insertByBo(OrientationInfoBo bo);

    /**
     * 修改定位信息
     */
    Boolean updateByBo(OrientationInfoBo bo);

    /**
     * 校验并批量删除定位信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
